API Reference
Products
Catalog products and variants.
10 endpoints· Auth: API Key
get
/api/v1/store/integrations/catalog/products API KeyGet products
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/catalog/products" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/catalog/products API KeyCreate products
Request body
application/json
{
"sku": "string",
"name": "string",
"description": "string",
"isActive": false
}| sku string | — |
| name string | — |
| description string | — |
| isActive boolean | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/catalog/products" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"sku": "string",
"name": "string",
"description": "string",
"isActive": false
}' Try itagainst staging · https://stagging-api.sendyiq.com
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/store/integrations/catalog/products/{productId} API KeyDelete productId
Path parameters
| productIdrequired string (uuid) | — |
Responses
200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/catalog/products/{productId}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/products API KeyGet products
Query parameters
| page integer (int32) | — |
| per_page integer (int32) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/products" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/products API KeyCreate products
Request body
application/json
{
"sku": "string",
"name": "string",
"description": "string",
"categoryId": "00000000-0000-0000-0000-000000000000",
"barcode": "string",
"baseCode": "string",
"brand": "string",
"unit": "string",
"costPrice": 0,
"salePrice": 0,
"lowStockLimit": 0,
"isFeatured": false,
"isDiscounted": false,
"weightKg": 0,
"lengthCm": 0,
"widthCm": 0,
"heightCm": 0,
"sortOrder": 0
}| sku string | — |
| name string | — |
| description string | — |
| categoryId string (uuid) | — |
| barcode string | — |
| baseCode string | — |
| brand string | — |
| unit string | — |
| costPrice number (double) | — |
| salePrice number (double) | — |
| lowStockLimit integer (int32) | — |
| isFeatured boolean | — |
| isDiscounted boolean | — |
| weightKg number (double) | — |
| lengthCm number (double) | — |
| widthCm number (double) | — |
| heightCm number (double) | — |
| sortOrder integer (int32) | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/products" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"sku": "string",
"name": "string",
"description": "string",
"categoryId": "00000000-0000-0000-0000-000000000000",
"barcode": "string",
"baseCode": "string",
"brand": "string",
"unit": "string",
"costPrice": 0,
"salePrice": 0,
"lowStockLimit": 0,
"isFeatured": false,
"isDiscounted": false,
"weightKg": 0,
"lengthCm": 0,
"widthCm": 0,
"heightCm": 0,
"sortOrder": 0
}' Try itagainst staging · https://stagging-api.sendyiq.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/products/{productId} API KeyGet productId
Path parameters
| productIdrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/products/{productId}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
put
/api/v1/store/integrations/products/{productId} API KeyUpdate productId
Path parameters
| productIdrequired string (uuid) | — |
Request body
application/json
{
"name": "string",
"description": "string",
"defaultUnitPrice": 0,
"isActive": false,
"categoryId": "00000000-0000-0000-0000-000000000000",
"barcode": "string",
"baseCode": "string",
"brand": "string",
"unit": "string",
"costPrice": 0,
"salePrice": 0,
"lowStockLimit": 0,
"isFeatured": false,
"isDiscounted": false,
"weightKg": 0,
"lengthCm": 0,
"widthCm": 0,
"heightCm": 0,
"sortOrder": 0
}| name string | — |
| description string | — |
| defaultUnitPrice number (double) | — |
| isActive boolean | — |
| categoryId string (uuid) | — |
| barcode string | — |
| baseCode string | — |
| brand string | — |
| unit string | — |
| costPrice number (double) | — |
| salePrice number (double) | — |
| lowStockLimit integer (int32) | — |
| isFeatured boolean | — |
| isDiscounted boolean | — |
| weightKg number (double) | — |
| lengthCm number (double) | — |
| widthCm number (double) | — |
| heightCm number (double) | — |
| sortOrder integer (int32) | — |
Responses
200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/products/{productId}" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"description": "string",
"defaultUnitPrice": 0,
"isActive": false,
"categoryId": "00000000-0000-0000-0000-000000000000",
"barcode": "string",
"baseCode": "string",
"brand": "string",
"unit": "string",
"costPrice": 0,
"salePrice": 0,
"lowStockLimit": 0,
"isFeatured": false,
"isDiscounted": false,
"weightKg": 0,
"lengthCm": 0,
"widthCm": 0,
"heightCm": 0,
"sortOrder": 0
}' Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/store/integrations/products/{productId} API KeyDelete productId
Path parameters
| productIdrequired string (uuid) | — |
Responses
200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/products/{productId}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/products/{productId}/images API KeyGet images
Path parameters
| productIdrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/products/{productId}/images" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/products/{productId}/images API KeyCreate images
Path parameters
| productIdrequired string (uuid) | — |
Request body
application/json
{
"ProductId": "00000000-0000-0000-0000-000000000000",
"Image": "string",
"Images": [
"string"
]
}| ProductId string (uuid) | — |
| Image string (binary) | — |
| Images string (binary)[] | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/products/{productId}/images" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"ProductId": "00000000-0000-0000-0000-000000000000",
"Image": "string",
"Images": [
"string"
]
}' Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu